use std::path::Path;

use serde::Serialize;

use crate::config::Config;
use crate::error::CustomError;
use crate::intermediate::IVerbatim;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "verbatim")]
pub(crate) struct RenderVerbatim {}

impl RenderVerbatim {
    pub(crate) fn new(
        config: &Config,
        output_directory: &Path,
        output_file: &Path,
        comment: &IVerbatim,
    ) -> Result<RenderVerbatim, CustomError> {
        Ok(RenderVerbatim {})
    }
}
