use super::macros::intermediate;
use super::registry::Registry;
use crate::error::CustomError;

#[derive(Debug, Clone)]
pub(crate) struct IEntity {
    pub(crate) html: String,
}

intermediate!(IEntity, Entity, original, registry, {
    Ok(IEntity {
        html: original.html.to_owned(),
    })
});
